import R from "./request";
import P from "./process";
import {
  IAdminLogin,
  IChapter,
  ICourseBasic,
  ICreateCourseRequest,
  IgetVodRequest,
  ISelectCourse,
  IXcode,
} from "./dto";

/**
 * 腾讯vod媒资
 */
export const getVod = (p: IgetVodRequest) =>
  R.post("/api/vod/media/select", { ...p }).then((d: any) => P.getVod(d.data));

export const createCourse = (p: ICreateCourseRequest) =>
  R.post("/api/course/create", { ...p });

export const adminLogin = (p: IAdminLogin) =>
  R.post("/api/user/admin/auth", { ...p });

export const createXCode = (codeList: IXcode[]) =>
  R.post("/api/xcode/admin/create", codeList);

export const selectXCodeList = () => R.post("/api/xcode/admin/select/all");

export const selectCourseList = (p: ISelectCourse) =>
  R.post("/api/course/select/all", { ...p });

export const updateCourse = (course: ICourseBasic) =>
  R.post("/api/course/update", course);

export const selectChapterList = ({
  chapter_course_id,
}: {
  chapter_course_id: string;
}) => R.post("/api/course/chapter/select", { chapter_course_id });

export const updateChapter = (chapter: IChapter) =>
  R.post("/api/course/chapter/update", chapter);

export const removeCourse = (course: ICourseBasic) =>
  R.post("/api/course/remove", course);

export const createChapter = (chapterList: IChapter[]) =>
  R.post("/api/course/chapter/create", chapterList);

export const removeChapter = (chapter: IChapter) =>
  R.post("/api/course/chapter/remove", chapter);

export const selectUserList = () => R.post("/api/user/admin/select/all");

export const updateUser = (user: any) => R.post("/api/user/admin/update", user);

export const selectGuide = (p: { guide_course_id: string }) =>
  R.post("/api/course/guide/select", p);

export const updateGuide = (p: any) => R.post("/api/course/guide/update", p);
