import { create } from "zustand";
import { userState } from "../api";
import toast from "react-hot-toast";
import { removeLoginCookies, withLoginCookies } from "../util/cookie";

export const useUserStore = create((set) => {
  return {
    user: null,
    setUser: (user: any) => set({ user }),
    fetchUser: async () => {
      if (!withLoginCookies()) return set({ user: null });
      userState().then((res: any) => {
        const { code, data } = res;
        if (code === 10000) set({ user: data });
      });
    },
    userExit: () => {
      set({ user: null });
      removeLoginCookies();
      toast.success("再见~!");
    },
  };
});
